#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xd3c13e4c, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x9dd7bb2f, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x3ab27363, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x15d9c20a, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xe67094d8, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xd37d4e5e, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x8d0ffd33, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x2c3fb41b, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xc9b50bc3, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xc6e48ca0, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xe2624198, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x8d86aa55, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x7ef42152, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xdc7c157c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x26e67a76, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x875ffe29, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x17a08fde, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x2a8e13fd, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x8b10cfce, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x72d37701, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x7c7cb985, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x3f44d5cf, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xff3afd65, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x848c170b, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xa6bd48e4, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x462ce6d4, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0xe62a7e09, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xf56daa8e, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xa556e7eb, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xc08501d6, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x540f1581, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x31f244e8, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xc8956abd, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x0c2bac14, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x61afef1a, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xd1429791, "");
SYMBOL_CRC(mlx4_test_async, 0xd5f0bdd2, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x589de91a, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x6ae6e1c1, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xe7f279bc, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xbf13b919, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x0310e64c, "");
SYMBOL_CRC(mlx4_assign_eq, 0x71e1459f, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x611c53ca, "");
SYMBOL_CRC(mlx4_release_eq, 0x9890718c, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x38c0d0cc, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x3ab40a69, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xe6b9c4f4, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xd4ebc53f, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xc6616918, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x88661188, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x7da53391, "");
SYMBOL_CRC(mlx4_wol_read, 0xc65513b9, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x931f8942, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xb915113c, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x086aac05, "");
SYMBOL_CRC(set_phv_bit, 0x4b077073, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xb736b983, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xeda5a429, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x91db8de9, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x35705e82, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xbac74f94, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xf5890972, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x7de40aba, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x76947e6b, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x16b54e63, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x95e29096, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x36506795, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x871392a0, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xe66db9fd, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xd2bb8e64, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xc1d1cfc9, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xf8fa32eb, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xd7d40c1e, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x1218b757, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x4911812e, "");
SYMBOL_CRC(mlx4_read_clock, 0xcfc060e2, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xa2fc88de, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x3cf369d9, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x6c9b0750, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x1dbf76c0, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xe320986c, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x06746d3e, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xae602a74, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x95981d1c, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xb980987c, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xccffe0f5, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xd04a2a0c, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xd72b40fb, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x63810234, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x775f1299, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xdca313a2, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x70727e45, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xed088385, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x8d18fdbb, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xee1ec9b5, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xfdfe1733, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xc46fdb60, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x2a5e904a, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x3d5b250c, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x8982bb64, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x1415ad4c, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x6e5a56a8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xc22ea57b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xe50f9146, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xb8fcd51f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x346697d5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x82f6e270, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x838d17a1, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x9c28272b, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xca5978f1, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x43ad96a9, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x028cd947, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x1cf12ae4, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x5b24a13c, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x7681dafa, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xc44e7ea5, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x7197bcfb, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xc6a23cd8, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xd8ff6810, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x75e8252a, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xd9b69400, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xeec715d3, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xe81db9dd, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xa2689dfe, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x65f9fb61, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x74b0a45f, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x945dd33e, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xaad15083, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xd73166c5, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xb047f313, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x91113c75, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xe19b87d3, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xd19d83ba, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x4b70e61e, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x89532963, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x10664ac2, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xa881121f, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x9393bd7f, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x483b7bd1, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xc581062f, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x9dca3a97, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x96dab429, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x44acdeac, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x5eb9f1dd, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xa80769e2, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xcfcc3af9, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x2a6b3888, "");
SYMBOL_CRC(mlx4_get_module_info, 0xcffc91b3, "");
SYMBOL_CRC(mlx4_max_tc, 0x3cfc1883, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xdb0c3ae3, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x4608fd42, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x444ad734, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x8f542811, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x34cc40a1, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x78b8caf7, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x3a15a412, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x7783c426, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xaf0c7cac, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x729a8c34, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x4d2d851c, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x680d3264, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x5bf93efe, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x70b86e3b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c81cb91, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb14b8859, "pcie_capability_write_word" },
	{ 0x42fae208, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x34ed2747, "devl_region_create" },
	{ 0x694d10ae, "devlink_unregister" },
	{ 0xb94f6872, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x1e84d87, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xba217d18, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe23546b9, "devlink_region_snapshot_id_get" },
	{ 0xa1583acf, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x31f4e946, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x39a21d5c, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x436169e9, "param_array_ops" },
	{ 0x9d14f0b, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f53a4b5, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x6dfecd80, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x5bb7fc7, "devlink_register" },
	{ 0x460b4a2c, "devlink_port_type_clear" },
	{ 0xe764f14d, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x52c7be52, "param_ops_byte" },
	{ 0xfeba02ef, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x5725340d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x549951e, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x65d7b534, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x6df6791a, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc40064bb, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc1e68b24, "put_device" },
	{ 0xa08bda57, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa5576474, "kmalloc_node_trace" },
	{ 0x14eb33be, "__free_pages" },
	{ 0x2c2e6221, "_dev_info" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc1484ae2, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x916b624e, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x5e6895fa, "_dev_err" },
	{ 0x9b51390a, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x669bfb07, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x88541d43, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x31ccb1ad, "dma_alloc_attrs" },
	{ 0xd71bb4f7, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xef6cbb0f, "devl_params_register" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf67c0e3, "pci_restore_state" },
	{ 0x7ae1f740, "device_del" },
	{ 0x4ef9ff2a, "devl_param_driverinit_value_set" },
	{ 0x5783e57f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x27eb7620, "__alloc_pages" },
	{ 0xedfce5b5, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xb32c9997, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0x12cb0ee0, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0xf17d436d, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xee8cf5e4, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe60441c9, "param_ops_bool" },
	{ 0x3cf8751b, "pci_release_regions" },
	{ 0xd6831db5, "__dma_sync_single_for_device" },
	{ 0xb9b85530, "devl_assert_locked" },
	{ 0x328751b1, "pcie_print_link_status" },
	{ 0x3b3e7dab, "alloc_pages" },
	{ 0xc7fbe1f2, "devl_port_unregister" },
	{ 0xb13a0607, "devl_param_driverinit_value_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbbb095cf, "devlink_priv" },
	{ 0x518123b7, "pci_disable_sriov" },
	{ 0x95f2ad58, "pci_disable_msix" },
	{ 0x8634af42, "pci_disable_device" },
	{ 0xa6618dbd, "dma_set_mask" },
	{ 0xe059f942, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x89ac19df, "dma_unmap_sg_attrs" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x68e8935e, "param_ops_int" },
	{ 0xa3d02524, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x3b6caf0c, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x5bb17e88, "pci_write_config_dword" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0x60fec2fc, "device_remove_file" },
	{ 0xb0fee586, "dma_map_sg_attrs" },
	{ 0x316a6d27, "devl_param_value_changed" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A586B3738EC4CE53A82327");
MODULE_INFO(rhelversion, "9.7");
