#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xbef0b3aa, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x666835ed, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x30296747, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xac0fe4e7, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xd52b7c63, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xc8334b6b, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x142ffcc2, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x2467ff72, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xd409f876, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc686b440, "sk_skb_reason_drop" },
	{ 0x22e1c71, "_copy_to_iter" },
	{ 0x5d893867, "iov_iter_advance" },
	{ 0x5823bf4e, "skb_copy_datagram_iter" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb173ff3c, "cdev_init" },
	{ 0x7adf40d3, "cdev_add" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2e334650, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4ee25981, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9ed8a697, "consume_skb" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x605f28fa, "netdev_err" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe4cb819, "skb_push" },
	{ 0x58abcd10, "skb_checksum_help" },
	{ 0xe119323a, "__skb_gso_segment" },
	{ 0xc1902ec6, "kfree_skb_list_reason" },
	{ 0x333c09e3, "__skb_get_hash_net" },
	{ 0x3761d215, "idr_find" },
	{ 0x3eb4e583, "sk_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x25618d2a, "sock_init_data_uid" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x7488d63, "__skb_flow_dissect" },
	{ 0x624378a, "skb_partial_csum_set" },
	{ 0xb4cf2222, "__pskb_pull_tail" },
	{ 0xfd13db7c, "_copy_from_iter" },
	{ 0x758404ba, "iov_iter_npages" },
	{ 0xc2f7e8de, "sock_alloc_send_pskb" },
	{ 0xecfa1aeb, "skb_put" },
	{ 0x9b849475, "zerocopy_sg_from_iter" },
	{ 0xc4582522, "__dev_queue_xmit" },
	{ 0x80b7eb42, "skb_copy_datagram_from_iter" },
	{ 0xc6440b1d, "iov_iter_revert" },
	{ 0x79133464, "skb_copy_bits" },
	{ 0x7c710b9e, "build_skb" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdc7c7263, "dev_set_mac_address_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xa35b6c34, "dev_get_mac_address" },
	{ 0x88b689d3, "compat_ptr_ioctl" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FE48242F9439C80CF0A4253");
MODULE_INFO(rhelversion, "9.7");
