#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x8d18d5ea, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x63f6adbf, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xa39fa945, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x795a9e05, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x5db5557c, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xa7102a9b, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x02e97b99, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xd38a8792, "");
SYMBOL_CRC(nvdimm_region_notify, 0xbd479ba7, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x638ff6a4, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x9267cc32, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xb9dd4489, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x7033e431, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x59208ac9, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x6a690474, "");
SYMBOL_CRC(nd_device_unregister, 0xfabdc29e, "");
SYMBOL_CRC(__nd_driver_register, 0x71292c2b, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x44bf42dd, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x2c54ce04, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xdc84c942, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x6daebae1, "_gpl");
SYMBOL_CRC(to_ndd, 0x16e2aafe, "");
SYMBOL_CRC(nvdimm_name, 0x51e2e628, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x5654d875, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x1607c9c3, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x34e4639a, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x8ebf707d, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x0115ee78, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xa34e54aa, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x86c9f973, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xdf31b975, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x2987428e, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xf42edc58, "_gpl");
SYMBOL_CRC(to_nd_region, 0x917bb6c4, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x7e35f303, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x98dd9834, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x1ac92cfa, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x05ee6890, "");
SYMBOL_CRC(nd_region_release_lane, 0x3b0b9ccb, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xb87dd131, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xf08ba2e6, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x56a9db9b, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x242c27fc, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x18c39eb3, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x6a377469, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x0c550e65, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x4f63add2, "");
SYMBOL_CRC(pmem_sector_size, 0x0f8533cf, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xbd11184f, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x857f4212, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xaeab3111, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x93279fc0, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x39f41283, "");
SYMBOL_CRC(devm_namespace_enable, 0x56781ae8, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x7568d7f2, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x9a483594, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xa7b0db6c, "");
SYMBOL_CRC(is_nd_btt, 0x8b4a8322, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x6e05e4b5, "");
SYMBOL_CRC(nd_btt_version, 0x28b80152, "");
SYMBOL_CRC(nd_btt_probe, 0x029ca31e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1b26e2cb, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x20453212, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x339f4dd, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x3f037922, "devm_memremap" },
	{ 0x7d194cd6, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2476852d, "badblocks_set" },
	{ 0xce5e4181, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbf0e57f8, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xb930bfda, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x21a319db, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x3b6897a4, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xfeba02ef, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xa11d94c8, "__dynamic_dev_dbg" },
	{ 0xadc1e993, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x97b63e1a, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x7f919b5a, "__devm_request_region" },
	{ 0x1a2762fd, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc1e68b24, "put_device" },
	{ 0xceb1437a, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0x2c2e6221, "_dev_info" },
	{ 0xb5321f80, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x88b689d3, "compat_ptr_ioctl" },
	{ 0x3f03c034, "perf_pmu_migrate_context" },
	{ 0xf7b414af, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc6ac8d53, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x21677d03, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5e6895fa, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0x6a0415fe, "__cpuhp_setup_state" },
	{ 0x7f304789, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x37875ab7, "device_add" },
	{ 0x95f8785e, "noop_llseek" },
	{ 0x9a98e34b, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xeabad6e, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x8407bdaf, "driver_unregister" },
	{ 0x218347cc, "__cpuhp_state_add_instance" },
	{ 0xb694f934, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x85c51966, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5783e57f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99da7865, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe60441c9, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd48ebeca, "__devm_release_region" },
	{ 0x944893db, "request_key_tag" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x9e0f25f4, "kernfs_put" },
	{ 0x73607f4e, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x5760de10, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xb72161fa, "badblocks_check" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0xf0870842, "__devm_add_action" },
	{ 0xafa5bd1d, "badblocks_clear" },
	{ 0x45aecf06, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x5c42d20, "driver_register" },
	{ 0x3802415, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0xa363ccc3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "43F5608814EA4FDEF59B47D");
MODULE_INFO(rhelversion, "9.7");
