#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x8f30295c, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x0a9c6a51, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xed04d68d, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xc3acb6a6, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x15af42af, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x6f515eb1, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x519b3a2c, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xe53fd322, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x7672fea7, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x7997d00d, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xcd2450c2, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x1bb5d2aa, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x34fe714b, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xe70cd7fb, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x6e2ad7b8, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x5cbd794c, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x9b64a392, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x90f8658d, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x99ba1bf8, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x21447c50, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x44840981, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x7748712a, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x6c44ae36, "");
SYMBOL_CRC(fcoe_transport_detach, 0xe48a425e, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x3b682568, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xb6dfc3a9, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xf843bbed, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xfe17d8ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe93e0b59, "fc_rport_lookup" },
	{ 0x732b28ee, "dev_get_stats" },
	{ 0x42fae208, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9276a7e9, "param_ops_uint" },
	{ 0xecfa1aeb, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7d194cd6, "dev_set_name" },
	{ 0x9ed8a697, "consume_skb" },
	{ 0xa6ecb5da, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0xce5e4181, "device_unregister" },
	{ 0x100eb4ee, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x3988dfe3, "fc_rport_logoff" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x52a5835d, "fc_disc_init" },
	{ 0xeadf5d4a, "fc_rport_login" },
	{ 0x4587aec2, "skb_queue_purge_reason" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xa6a11953, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc1e68b24, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x16570c7e, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa8207b12, "fc_lport_reset" },
	{ 0x21677d03, "bus_unregister" },
	{ 0x9b51390a, "init_net" },
	{ 0xb5335a2b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc686b440, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbe4cb819, "skb_push" },
	{ 0x62ea73bc, "fc_lport_set_local_id" },
	{ 0xaf25927f, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf19515f6, "__ethtool_get_link_ksettings" },
	{ 0x7b000726, "device_register" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc9df0b25, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5a4c2cbf, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x917b4ab3, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb4cf2222, "__pskb_pull_tail" },
	{ 0xdb666f9c, "fc_fcp_init" },
	{ 0xbb110b34, "__netdev_alloc_skb" },
	{ 0xe7ac158d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc4582522, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3b3e7dab, "alloc_pages" },
	{ 0x358b2ca6, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xceeb87be, "dev_get_by_name" },
	{ 0x174343d, "skb_clone" },
	{ 0xaa90bfbc, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0x68e8935e, "param_ops_int" },
	{ 0x6ea96d0, "fc_rport_create" },
	{ 0xa3d02524, "_dev_printk" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0xdd9b71b6, "fc_exch_init" },
	{ 0xa363ccc3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5b26978f, "fc_linkup" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "967DCC540729A155723F0FB");
MODULE_INFO(rhelversion, "9.7");
