#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x3b360610, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x2879b8d3, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x2e99609d, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x6041cf19, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xc6bb2655, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5482136f, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd0f13305, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3df0477, "inet_addr_type_table" },
	{ 0xa6c28eda, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x79133464, "skb_copy_bits" },
	{ 0x6e9a3061, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x6f007847, "sock_wfree" },
	{ 0xecfa1aeb, "skb_put" },
	{ 0xf90a0352, "register_net_sysctl" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xfd45bab9, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x816cb20e, "ip6_dst_hoplimit" },
	{ 0x9ed8a697, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x86de7986, "inet6_add_offload" },
	{ 0x9ab4c877, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b7dc862, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xe231c6be, "trace_raw_output_prep" },
	{ 0x7515978e, "l3mdev_fib_table_by_index" },
	{ 0x29ff1d3, "udp_sock_create4" },
	{ 0x100eb4ee, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd6bf633a, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6009e36e, "__skb_ext_del" },
	{ 0x65e3437b, "skb_segment" },
	{ 0x41ed05ab, "trace_event_printf" },
	{ 0x5464fa7f, "__ip_dev_find" },
	{ 0x7d475d16, "udp_tunnel6_xmit_skb" },
	{ 0x789ff503, "sock_common_getsockopt" },
	{ 0x8aeac445, "inet_bind" },
	{ 0xb8f909ad, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x818cc881, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xd14248e5, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x80f065a2, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbb8b0858, "__xfrm_policy_check" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x605d4a17, "bpf_trace_run2" },
	{ 0x534b90c4, "sock_common_setsockopt" },
	{ 0x865a65ad, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x5d766c05, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x56c280a5, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x31649d1c, "kmem_cache_create" },
	{ 0x7f17f12b, "__sk_mem_schedule" },
	{ 0x21fc5feb, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xace0281e, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9d873ee6, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xba509742, "sk_error_report" },
	{ 0x8a25c803, "register_pernet_subsys" },
	{ 0x7071a7d4, "put_cmsg" },
	{ 0x55b49e3e, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x5882a0a9, "inet_sock_destruct" },
	{ 0x1cc54f10, "crypto_destroy_tfm" },
	{ 0x32698bdf, "sock_kmalloc" },
	{ 0xc515a4a, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x46219c, "inet_getname" },
	{ 0xbe10f6f9, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x945e03f2, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x781991bd, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0x9f68293b, "inet_release" },
	{ 0x3fb83b19, "kmem_cache_alloc" },
	{ 0xd0bd6dcd, "proto_register" },
	{ 0x569cb76e, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xb10281a1, "__sock_recv_ts_and_drops" },
	{ 0x17e5b5, "inet6_compat_ioctl" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x863b2822, "inet_ctl_sock_create" },
	{ 0x5eb00b1c, "inet_ioctl" },
	{ 0xa47843f3, "reuseport_add_sock" },
	{ 0x182664e3, "reuseport_select_sock" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x5f9ede6c, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd5a1c842, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xaa2f395d, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x3427161d, "fput" },
	{ 0x4dca9f8f, "__traceiter_sk_data_ready" },
	{ 0x94f764e2, "inet_accept" },
	{ 0x9b51390a, "init_net" },
	{ 0xb3ad01cf, "crypto_shash_setkey" },
	{ 0xb5335a2b, "skb_pull" },
	{ 0xe2552bf5, "inet_add_offload" },
	{ 0xc686b440, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe8b4eb6b, "inet_add_protocol" },
	{ 0xce145521, "inet_shutdown" },
	{ 0x4ee25981, "sk_free" },
	{ 0x511bf57c, "sock_wake_async" },
	{ 0xb32d00fa, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb5f68213, "inet_del_offload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbe4cb819, "skb_push" },
	{ 0x762a7080, "__ip_queue_xmit" },
	{ 0xb86f5e6e, "kmem_cache_free" },
	{ 0xaa385bf1, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x1a758771, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xd4fb5541, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd6486413, "inet6_ioctl" },
	{ 0x5823bf4e, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x3eb4e583, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xde404044, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x73528453, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xb8b3d530, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x26683153, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x85d05b1d, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb4cf2222, "__pskb_pull_tail" },
	{ 0xc93109e, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf7c279b8, "setup_udp_tunnel_sock" },
	{ 0x3b8c66a3, "udp_sock_create6" },
	{ 0xe7ac158d, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xea0d6650, "sk_common_release" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x7cfd6a39, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x6061b8ed, "inet6_getname" },
	{ 0xa17eed52, "sock_i_ino" },
	{ 0xe9a85cea, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb6531225, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xfe04ca11, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9f00bce, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa27db381, "trace_event_buffer_reserve" },
	{ 0xbf5b9316, "__skb_checksum" },
	{ 0xf2a80922, "reuseport_alloc" },
	{ 0x970b39c7, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa80c6808, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x8bd687fa, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe60441c9, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1fac7aa2, "ipv6_dup_options" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x1709379e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc585fb7f, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9ca3f3ba, "proc_create_net_single" },
	{ 0x752173, "skb_copy" },
	{ 0x174343d, "skb_clone" },
	{ 0xc26d4d5d, "inet_sk_set_state" },
	{ 0x25cd20d2, "dst_release" },
	{ 0xfd13db7c, "_copy_from_iter" },
	{ 0x9d33759b, "sock_release" },
	{ 0x41b8a8b6, "inet_recv_error" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0x4af55cce, "seq_puts" },
	{ 0x3d205880, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x74251ad1, "_proc_mkdir" },
	{ 0x8c7e5834, "sk_setup_caps" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x1976a563, "send_sig" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4f6733d3, "inet6_add_protocol" },
	{ 0x2ac2e8a2, "from_kuid_munged" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0xbd221e7, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x616ddf7b, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x59ee2f85, "ipv6_getsockopt" },
	{ 0x57a68633, "reuseport_detach_sock" },
	{ 0xbcf44ad5, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xc6440b1d, "iov_iter_revert" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xd397f14f, "crypto_alloc_shash" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6de968fd, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0x7fc88137, "kmem_cache_destroy" },
	{ 0xe67e3696, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x41a0b7f3, "skb_queue_head" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "7492B8CD3F746EF38F1C74E");
MODULE_INFO(rhelversion, "9.7");
