#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0x0ac68fa0, "");
SYMBOL_CRC(gss_krb5_checksum, 0x4515f0f0, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0x683e0bcf, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0x640413f2, "");
SYMBOL_CRC(krb5_etm_checksum, 0x2d640be5, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49d1d990, "crypto_skcipher_encrypt" },
	{ 0x6a4ba428, "crypto_alloc_ahash" },
	{ 0x6580265b, "xdr_buf_trim" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd8ebc230, "xdr_process_buf" },
	{ 0x3243f617, "read_bytes_from_xdr_buf" },
	{ 0x9a00a9ca, "crypto_ahash_setkey" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x8061c1de, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5abb56c7, "gss_mech_unregister" },
	{ 0x1cc54f10, "crypto_destroy_tfm" },
	{ 0x92997ed8, "_printk" },
	{ 0x43e257c2, "crypto_skcipher_decrypt" },
	{ 0xb3ad01cf, "crypto_shash_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xca7d9723, "crypto_shash_update" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x6fa9f20c, "xdr_buf_subsegment" },
	{ 0x1f894032, "crypto_alloc_sync_skcipher" },
	{ 0x58103d73, "crypto_ahash_final" },
	{ 0x5df756d7, "__crypto_memneq" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe16f215, "crypto_shash_final" },
	{ 0xba3affff, "gss_mech_register" },
	{ 0xf54bd49b, "lcm" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0xd1343d4d, "write_bytes_to_xdr_buf" },
	{ 0xd397f14f, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "02F92178C54ACC62B79F41E");
MODULE_INFO(rhelversion, "9.7");
