#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xbd00a591, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xc77e09d1, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x4afe94f0, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x6c9485bc, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x33acd205, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x3cae996f, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xef36d560, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x5c3569e9, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x8d29acaa, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x54db25db, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xb61eef8a, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xd8a08140, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xf4bcd35d, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xeb856fce, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x40c90037, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x29fcd60d, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x6b78375f, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x3b2fc3dd, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x8cf1b5bb, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x0987386c, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x1f5b1033, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xea94091b, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x97db56cd, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x0f16a301, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x7514da9b, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb844b677, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xebfb5a9b, "sock_map_close" },
	{ 0x6b2c9a1e, "sock_queue_rcv_skb_reason" },
	{ 0x20453212, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8176e3ea, "misc_deregister" },
	{ 0x9ed8a697, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xa34ba934, "sock_map_unhash" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xd3b990d4, "__module_get" },
	{ 0x11b4e96e, "sk_stream_error" },
	{ 0x576f9938, "sk_msg_recvmsg" },
	{ 0x467f7a2b, "ns_capable_noaudit" },
	{ 0x2a83fc24, "__put_cred" },
	{ 0xba509742, "sk_error_report" },
	{ 0x4587aec2, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xbe10f6f9, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92042803, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd0bd6dcd, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb5321f80, "module_put" },
	{ 0x60155074, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc686b440, "sk_skb_reason_drop" },
	{ 0x4ee25981, "sk_free" },
	{ 0xfb90ab1d, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x716b3e64, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xfb29e11d, "sock_recv_errqueue" },
	{ 0xd4fb5541, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x3eb4e583, "sk_alloc" },
	{ 0xb8b3d530, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe84056a5, "misc_register" },
	{ 0x85d05b1d, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xc93109e, "sock_no_sendpage" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xe0f27c91, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x27c16d53, "sk_psock_drop" },
	{ 0xc4582522, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaf13953c, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x174343d, "skb_clone" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xf4852634, "sock_no_ioctl" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x2ec0278c, "sock_setsockopt" },
	{ 0x6de968fd, "sock_init_data" },
	{ 0xe67e3696, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F7E8F5E3762600C11D55A9F");
MODULE_INFO(rhelversion, "9.7");
