#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x44f8a75a, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xdd05a9e9, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x621fbbc0, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x8cecf534, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xd6f90e35, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xaf23ef63, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x4a29d2a3, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xf89ef384, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xbf1fff6a, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x1ac4bcd2, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0xb8868200, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x2af292b4, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xd7d438eb, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xe51f7579, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xcce7c05e, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0xa3007bed, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xd4a3a03e, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x45a20d6d, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x03968d0a, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x15787ee1, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xcc5e63f7, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0xa506697d, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x9c993d36, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9b7fa84, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x389623dd, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x42fae208, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x8176e3ea, "misc_deregister" },
	{ 0xb5502e12, "iommu_device_claim_dma_owner" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x1b74e64, "iommu_group_get" },
	{ 0x2ed72bf1, "iommu_iova_to_phys" },
	{ 0xa02254ac, "pin_user_pages_remote" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xaf005f32, "memfd_pin_folios" },
	{ 0x2986b904, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xf8b3820e, "fget" },
	{ 0xcde80336, "__put_task_struct" },
	{ 0xa3b0d5d6, "__xas_next" },
	{ 0x3e17de6e, "xas_find" },
	{ 0x813a8a59, "iommu_dev_disable_feature" },
	{ 0x6a95aee2, "unpin_user_pages" },
	{ 0x818cc881, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31d96b85, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x3df5c4cb, "__account_locked_vm" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xfeba02ef, "get_device" },
	{ 0x947cd02a, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xeb2263f0, "unpin_folios" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x536fb7e6, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xe57f7b2b, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x39eabd4b, "iommu_detach_group_handle" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9a32509b, "iommu_detach_group" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc1e68b24, "put_device" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb789bead, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x3427161d, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xa6ef089, "iommu_domain_free" },
	{ 0xd2510a63, "up_write" },
	{ 0x4745fd13, "iommu_get_msi_cookie" },
	{ 0x7f291183, "xas_store" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x60ba60af, "iommu_unmap" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5bd674f4, "xas_load" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7bfe1b99, "iova_bitmap_for_each" },
	{ 0xfac19588, "__clear_user" },
	{ 0xe6ba2ed6, "iommu_attach_handle_get" },
	{ 0xf4c6fbd5, "iommu_replace_group_handle" },
	{ 0x395feb51, "iommu_device_release_dma_owner" },
	{ 0xeb715fb0, "folio_add_pins" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x5783e57f, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe84056a5, "misc_register" },
	{ 0x255a1d07, "unpin_user_page" },
	{ 0x679cb1c7, "iommu_paging_domain_alloc_flags" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2f0306a6, "iommu_put_resv_regions" },
	{ 0xdf0378ab, "_iommufd_object_alloc" },
	{ 0x103bafd6, "down_read" },
	{ 0x134cd5a, "__mmdrop" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xe0f27c91, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x28aebfe5, "__mmap_lock_do_trace_start_locking" },
	{ 0xe1a538f0, "iommu_get_resv_regions" },
	{ 0xc1729a5c, "mmput" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe60441c9, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x71765bc1, "__mmap_lock_do_trace_released" },
	{ 0xe70e184a, "xa_store" },
	{ 0x8a383753, "set_page_dirty_lock" },
	{ 0xe7770508, "device_iommu_capable" },
	{ 0x5fa4ce72, "xas_nomem" },
	{ 0xfb753635, "iommu_map" },
	{ 0x8b9deb90, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xbb453ff7, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x1743c1ab, "iommu_attach_group_handle" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x7d90b69b, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "520ADAA4D5CD724EB7E09E7");
MODULE_INFO(rhelversion, "9.7");
