#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xa56897ea, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x8abdb088, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x276c0242, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb5bd193, "rtnl_link_register" },
	{ 0x17762fd3, "genl_register_family" },
	{ 0x496aa8b7, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x1cc54f10, "crypto_destroy_tfm" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd3e96fac, "crypto_alloc_aead" },
	{ 0xc24183be, "crypto_aead_setkey" },
	{ 0xe4c18d28, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xb5335a2b, "skb_pull" },
	{ 0x118556e8, "___pskb_trim" },
	{ 0xc2c6ef26, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0xf6360303, "dev_mc_sync" },
	{ 0xb2cdb7d5, "dev_uc_sync" },
	{ 0x1fc25195, "dev_set_allmulti" },
	{ 0x1868eb79, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa6c1b91f, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x25cd20d2, "dst_release" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc4582522, "__dev_queue_xmit" },
	{ 0x2628530f, "eth_type_trans" },
	{ 0x895fd8e1, "gro_cells_receive" },
	{ 0xc686b440, "sk_skb_reason_drop" },
	{ 0xbf2d960c, "__dev_get_by_index" },
	{ 0x174343d, "skb_clone" },
	{ 0xe5d6dc20, "__netif_rx" },
	{ 0x9ed8a697, "consume_skb" },
	{ 0x7cd81ca6, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc941619c, "skb_to_sgvec" },
	{ 0xa0b46fec, "crypto_aead_decrypt" },
	{ 0x752173, "skb_copy" },
	{ 0xbe4cb819, "skb_push" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb4cf2222, "__pskb_pull_tail" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1ce18ca7, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xecfa1aeb, "skb_put" },
	{ 0x7755624a, "crypto_aead_encrypt" },
	{ 0x569cb76e, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe7ac158d, "skb_trim" },
	{ 0x8350d4bf, "register_netdevice" },
	{ 0xc89f6b3c, "netdev_upper_dev_link" },
	{ 0xd0fc281d, "netdev_upper_dev_unlink" },
	{ 0x1c1fa684, "unregister_netdevice_queue" },
	{ 0x3fccd079, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8600a87, "netif_stacked_transfer_operstate" },
	{ 0x7fbbcf02, "linkwatch_fire_event" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0xa84401d3, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x31b6cc63, "netdev_rx_handler_unregister" },
	{ 0x9bdbf7b3, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x209f2d5d, "netif_carrier_off" },
	{ 0xce68ee2d, "dev_mc_unsync" },
	{ 0xd506bfda, "dev_uc_unsync" },
	{ 0x39a4baa0, "dev_uc_del" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xeff1194, "dev_uc_add" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x4714d9f4, "netif_carrier_on" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91357c10, "genlmsg_put" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D36EABBE2179D7DFF693513");
MODULE_INFO(rhelversion, "9.7");
