#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xc82babb5, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xbe14b946, "_gpl");
SYMBOL_CRC(sas_free_task, 0xe99c0627, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xe2f5564c, "");
SYMBOL_CRC(sas_resume_ha, 0xf1dcab47, "");
SYMBOL_CRC(sas_suspend_ha, 0x352ca46d, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xc6709a33, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x99d7a0f1, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xa95860f3, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xe8fa3e5e, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x952deb8a, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x5ac7ecd5, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x3384ecce, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x9418c905, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xbcd6e25a, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xaa7f2652, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xa7ad64ee, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x0cb5557f, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xa16195aa, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xf8c2127c, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x9e31ece5, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x64595d80, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x31452533, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x63743a43, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x162556e8, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x72abaab8, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x25c13c97, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xcf625fd7, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x22fbe698, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06e587a, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x29d864a0, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x2cced41c, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x219a2bc5, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8392234b, "scsi_schedule_eh" },
	{ 0x6d61cff1, "request_firmware" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x13ddd908, "sas_port_alloc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x411476c4, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x2838cbc6, "sas_port_get_phy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x31649d1c, "kmem_cache_create" },
	{ 0xfeba02ef, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x50483539, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xc1e68b24, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3fb83b19, "kmem_cache_alloc" },
	{ 0x2c2e6221, "_dev_info" },
	{ 0xb106d37a, "sas_phy_free" },
	{ 0x4d3b1d9, "scsi_eh_finish_cmd" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x927e2f32, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb11a5ed4, "sas_port_mark_backlink" },
	{ 0xb86f5e6e, "kmem_cache_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x7c397eea, "sas_end_device_alloc" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xd8c33378, "sas_read_port_mode_page" },
	{ 0x52718a2c, "sas_expander_alloc" },
	{ 0x5783e57f, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa95a8ac0, "sas_rphy_delete" },
	{ 0x5faf3c06, "scsi_is_host_device" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9a2948fc, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb2390669, "scsi_host_busy" },
	{ 0xefd0db94, "sas_port_delete" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x359ee6cc, "sas_rphy_add" },
	{ 0x3acc7e1b, "sas_port_delete_phy" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xcac7a3fc, "sas_rphy_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8f2a245a, "sas_port_add_phy" },
	{ 0xea3a67be, "scsi_unblock_requests" },
	{ 0xc9bebcff, "sas_phy_add" },
	{ 0x393da8fd, "sg_copy_from_buffer" },
	{ 0xb790e4ab, "sas_port_free" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0x6fe82550, "scsi_block_requests" },
	{ 0xac96a606, "blk_abort_request" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0x593c8adf, "sas_remove_children" },
	{ 0x3b0a8450, "scsi_change_queue_depth" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0x7fc88137, "kmem_cache_destroy" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "B93A9C0AC18BB529F52CCD2");
MODULE_INFO(rhelversion, "9.7");
