#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xb3f7b9ab, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x84e27522, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x9175ca66, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x8fb7dd71, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x0f3a3ab9, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x25ef589a, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x5696d245, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xc1035eaa, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x89a844b0, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x620939f6, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x52f4dcf1, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x9e02a86d, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x565da3f7, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xce912d4b, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xf804997d, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x65f029d6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x7197f619, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xd1426021, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xea4717c3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x21f51c88, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xe8c4be81, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x55fbc2c9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x36e7d42e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x33038790, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x52cc4c6c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x99bad740, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x358484e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xa82a3f42, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xaff913db, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x9120fd9f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x2e0c93f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x36e095a1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xe11f7d08, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x435f2ed3, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x85c481b2, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xd44bdbb5, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x0b203bcb, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xf4e2389b, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x10aad55e, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x57c7ff9c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x9622d41f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xebdbc9c0, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xcc9a9a8e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xf37b6ad4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x112ba717, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x85bb1994, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x08a9025e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x353d8a53, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x42220089, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x55c34976, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x65d7920e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x6f2c4624, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x34dd3c9a, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x02f04189, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x29daed75, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xf705b87d, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x6d31f056, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x03d3e848, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xfa7eb3bc, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x4241eb77, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x70b0b418, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x94ec32d5, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x68097e49, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x819fc568, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x22a492bb, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x83353167, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xdc3a9729, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xde11b87a, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xe9a48195, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xae9cdb97, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xd5755d94, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x9fe8167e, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x32793a93, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x2d9b48a8, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x0409447f, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xf0a039d5, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x8c9e9d4b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x670721c3, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x605c664a, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xed6bc8a9, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xd48f4afd, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x27ee3df1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb05123f7, "rpc_put_task" },
	{ 0x7f3bb331, "generic_copy_file_range" },
	{ 0xa98edd70, "svc_generic_rpcbind_set" },
	{ 0xa3e2866e, "nfs_clone_server" },
	{ 0x1b5f2a7e, "nfs_access_add_cache" },
	{ 0x6fafcf4a, "filemap_fdatawrite" },
	{ 0x471f494e, "nfs_show_stats" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x48339f63, "nfs_server_remove_lists" },
	{ 0x59b55350, "nfs42_ssc_unregister" },
	{ 0xdfe5e6c, "generic_listxattr" },
	{ 0x20453212, "try_module_get" },
	{ 0x54ae7a21, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x42fae208, "vmemmap" },
	{ 0xc3fed210, "nfs_writeback_update_inode" },
	{ 0x60eff93d, "clear_inode" },
	{ 0xea2c8181, "inode_to_bdi" },
	{ 0xc5961cef, "bpf_trace_run4" },
	{ 0xa884b377, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x9276a7e9, "param_ops_uint" },
	{ 0xc32dea96, "user_revoke" },
	{ 0x87a697e9, "d_exact_alias" },
	{ 0x922093f1, "nfs_alloc_client" },
	{ 0xb06598dc, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x8adc5523, "nfs_mark_client_ready" },
	{ 0x4a7a743d, "rpc_clnt_probe_trunked_xprts" },
	{ 0x10e50369, "nfs_pageio_reset_read_mds" },
	{ 0x8501323e, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x8407bbfa, "rpc_shutdown_client" },
	{ 0xd610ac0, "svc_bind" },
	{ 0x97afba36, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xa43e7768, "nfs_free_inode" },
	{ 0x158fde64, "nfs_access_zap_cache" },
	{ 0x4de5cdae, "nfs_sb_deactive" },
	{ 0xbb48de5b, "nfs_wb_all" },
	{ 0x16adf124, "generic_file_splice_read" },
	{ 0xdc0efbcb, "__break_lease" },
	{ 0x389a35e5, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x146c29ec, "svc_recv" },
	{ 0x3adb2139, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xa26a528e, "xdr_inline_decode" },
	{ 0xbc4cfa6d, "nfs_pageio_init_read" },
	{ 0xe231c6be, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x38c232a0, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x4da84f86, "nfs_init_commit" },
	{ 0xc23058d, "nfs_commitdata_release" },
	{ 0x9533c0cb, "bpf_trace_run6" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9c5eb13b, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x5a7ca466, "nfs_mknod" },
	{ 0xfff57d0d, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xffdbe89b, "nfs4_label_alloc" },
	{ 0x326dae67, "rpc_localaddr" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x41ed05ab, "trace_event_printf" },
	{ 0x5e013fee, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x3c985425, "nfs_lock" },
	{ 0xff28495a, "unregister_key_type" },
	{ 0x9ed6e65c, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5b3df52f, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xd14248e5, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xdaedeb1e, "ihold" },
	{ 0xf45feb6e, "truncate_pagecache_range" },
	{ 0x52565dfa, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xc2e4a57a, "invalidate_inode_pages2_range" },
	{ 0xf3da65e6, "nfs_post_op_update_inode" },
	{ 0x56be7478, "svc_exit_thread" },
	{ 0x8b43e729, "iput" },
	{ 0xd7930225, "xdr_set_pagelen" },
	{ 0xe7bc2140, "nfs_pgio_header_free" },
	{ 0xe9c50ad8, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x6e1dbba2, "logfc" },
	{ 0x63dc8dc7, "nfs_pgio_header_alloc" },
	{ 0xb5bbaa30, "iter_file_splice_write" },
	{ 0x37113f79, "rpc_pton" },
	{ 0x3fab52b1, "nfs_sb_active" },
	{ 0x955634c3, "mod_node_page_state" },
	{ 0x9472e08a, "rpc_ntop" },
	{ 0xc87f382e, "rpc_wake_up_queued_task" },
	{ 0x605d4a17, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd12ae558, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x1aa70dbb, "rpc_restart_call_prepare" },
	{ 0x5d766c05, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x88bc6306, "_copy_from_pages" },
	{ 0xd3b990d4, "__module_get" },
	{ 0x31649d1c, "kmem_cache_create" },
	{ 0xbb5ab426, "rpc_task_release_transport" },
	{ 0xdb8aa66f, "xdr_page_pos" },
	{ 0xfd9714d7, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x247bb4d9, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9475aef1, "key_instantiate_and_link" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x547310ac, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xea2c9f36, "register_key_type" },
	{ 0x53435870, "rpc_sleep_on" },
	{ 0x6d9d69f3, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1571d8fc, "nfs_pageio_resend" },
	{ 0xaa8b0d1c, "keyring_alloc" },
	{ 0x8b099a5a, "vfs_setpos" },
	{ 0x2ecda0e9, "nfs_create" },
	{ 0xe91e57b1, "complete_request_key" },
	{ 0x2a83fc24, "__put_cred" },
	{ 0x570c0a60, "nfs_update_delegated_mtime" },
	{ 0x1ea82731, "nfs_statfs" },
	{ 0x894d0ea8, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xa451c8ec, "rpc_max_bc_payload" },
	{ 0x55b49e3e, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x55e5d45f, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xffbaf20f, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf8b1afa, "nfs_mkdir" },
	{ 0xf6a19171, "nfs_revalidate_inode" },
	{ 0xcf801415, "inode_newsize_ok" },
	{ 0xc471fe8b, "nfs_file_mmap" },
	{ 0xb5dccebc, "nfs_get_lock_context" },
	{ 0x4cae896a, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xea91b835, "nfs_set_cache_invalid" },
	{ 0x2920c08c, "rpc_release_client" },
	{ 0x94223bed, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf8074f21, "xdr_enter_page" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xa5765d4e, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67ce597c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x945e03f2, "trace_event_ignore_this_pid" },
	{ 0x34c8a42a, "nfs_generic_pgio" },
	{ 0xc4022228, "make_kuid" },
	{ 0x219c2556, "truncate_inode_pages_final" },
	{ 0x6236a159, "generic_setlease" },
	{ 0xe91093cf, "xprt_destroy_backchannel" },
	{ 0xe2cd92b7, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb12c5a87, "nfs_scan_commit_list" },
	{ 0xafe45300, "xdr_stream_decode_string_dup" },
	{ 0xd29ae376, "nfs_commit_inode" },
	{ 0x3cf7e67b, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x84cfdc2, "rpc_destroy_pipe_data" },
	{ 0x1d78dd19, "nfs_get_client" },
	{ 0x14eb33be, "__free_pages" },
	{ 0x3fb83b19, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x19f1e237, "nfs_atomic_open" },
	{ 0xa04d9a99, "rpc_pipe_generic_upcall" },
	{ 0x58f4f572, "nfs_file_fsync" },
	{ 0xb5321f80, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x79d9669e, "mntput" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xd2361710, "nfs_put_lock_context" },
	{ 0x575948c2, "nfs_rename" },
	{ 0x60b68163, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1843b67d, "nfs_sysfs_link_rpc_client" },
	{ 0x6bd2f275, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x3744368c, "nfs_show_options" },
	{ 0x8d34ccba, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xc6ac8d53, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x30debc4c, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xcbf7c973, "get_nfs_open_context" },
	{ 0xaa2f395d, "perf_trace_run_bpf_submit" },
	{ 0xd498638f, "nfs_clear_verifier_delegated" },
	{ 0xa2c79e03, "nfs_sysfs_add_server" },
	{ 0x3427161d, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x8ce90727, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x74802af1, "nfs_do_submount" },
	{ 0x3ff0a221, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x68f552f4, "request_key_with_auxdata" },
	{ 0x1c694978, "rpc_clone_client_set_auth" },
	{ 0x12b47729, "rpc_clone_client" },
	{ 0xcd1d52ca, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd936f594, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x3a7fe387, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xdabfbc08, "user_describe" },
	{ 0xc7d4566a, "put_fs_context" },
	{ 0x82d6929e, "nfs_retry_commit" },
	{ 0x520137ea, "nfs4_dentry_operations" },
	{ 0x20b5a8c8, "__module_put_and_kthread_exit" },
	{ 0xdda90558, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xebcff3a1, "nfs_client_for_each_server" },
	{ 0xf5c05c33, "nfs_clear_inode" },
	{ 0x1390de33, "rpc_sleep_on_priority" },
	{ 0x85e8cbb1, "nfs_invalidate_atime" },
	{ 0xeb69cce5, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x5fdb0810, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x43acc87e, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7b408132, "nfs_pageio_reset_write_mds" },
	{ 0xb86f5e6e, "kmem_cache_free" },
	{ 0xf93d8702, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd92036d, "xdr_stream_subsegment" },
	{ 0xf17724a3, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x483cdb99, "nfs_fscache_open_file" },
	{ 0xbc67c2f6, "from_kgid" },
	{ 0x1a758771, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2c1a0b16, "nfs_write_inode" },
	{ 0xa0b790eb, "nfs_request_remove_commit_list" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x6fa8c1e7, "rpc_wake_up_first" },
	{ 0x7d6a1cf1, "alloc_nfs_open_context" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x2581503b, "vfs_parse_fs_param" },
	{ 0xe701ca77, "nfs_path" },
	{ 0x95e0434a, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x92232e5c, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50e34ad0, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9a05bc6e, "rpc_sleep_on_timeout" },
	{ 0xc0af0d15, "list_lru_count_one" },
	{ 0xe0833432, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x41086978, "rpc_call_start" },
	{ 0xc0eb3fd9, "xprt_setup_backchannel" },
	{ 0xdf39d785, "bpf_trace_run1" },
	{ 0x26e0c73b, "svc_create" },
	{ 0xb58a559d, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x473964ea, "nfs_file_set_open_context" },
	{ 0x58494a59, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xff2ad2f3, "rpc_call_sync" },
	{ 0xa85b23f9, "from_kuid" },
	{ 0x57a9792a, "rpc_put_task_async" },
	{ 0x96c4fbe4, "rpc_prepare_reply_pages" },
	{ 0xc985e4e0, "rpc_queue_upcall" },
	{ 0x3a796844, "nfs_free_server" },
	{ 0x7192cac2, "fc_mount" },
	{ 0xfdbbdbfc, "nfs_setattr" },
	{ 0xd84fb198, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd9e4dc27, "nfs4_fs_type" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe6dc0b89, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x3ee5f9d6, "rpc_delay" },
	{ 0xeb5d2802, "nfs_flock" },
	{ 0x3e952ee4, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb99d10d1, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xd4b67c66, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf29413c5, "rpc_exit" },
	{ 0x2bb249f, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x53f07f17, "rpc_remove_pipe_dir_object" },
	{ 0xb00dad67, "nfs_may_open" },
	{ 0x20d2ff87, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xc1267220, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0xa8145bc9, "xdr_reserve_space" },
	{ 0xdb287d, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0xcb4740f0, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd4d46ff, "nfs_rmdir" },
	{ 0x7cfd6a39, "bpf_trace_run3" },
	{ 0x6a1d5ac0, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0xd957b8d5, "nfs_filemap_write_and_wait_range" },
	{ 0x2d82397d, "rpc_mkpipe_dentry" },
	{ 0x2e8e69a7, "alloc_file_pseudo" },
	{ 0xb0b39ac3, "rpc_mkpipe_data" },
	{ 0x8c1acc03, "rpc_add_pipe_dir_object" },
	{ 0x2e06687c, "igrab" },
	{ 0x724712fc, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x398def8e, "nfs_async_iocounter_wait" },
	{ 0x3bacf37f, "nfs_file_read" },
	{ 0xa27db381, "trace_event_buffer_reserve" },
	{ 0x103b83a0, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x25f219a2, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xb83aa772, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7daa886c, "nfs_setattr_update_inode" },
	{ 0x19f57a6a, "nfs_instantiate" },
	{ 0xaf13953c, "init_user_ns" },
	{ 0x289ade1f, "rpc_uaddr2sockaddr" },
	{ 0x6676e715, "user_read" },
	{ 0x886cee00, "rpc_restart_call" },
	{ 0x944893db, "request_key_tag" },
	{ 0x4ffede74, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x3b3e7dab, "alloc_pages" },
	{ 0x41c5cebe, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xb80ad7a4, "svc_xprt_destroy_all" },
	{ 0xc1c59e8b, "generic_key_instantiate" },
	{ 0xadaf20e0, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x5fad894b, "nfs_link" },
	{ 0x358b2ca6, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb05c9ee5, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xac36e2e4, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b42b574, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb48ee379, "xdr_stream_move_subsegment" },
	{ 0xfad11722, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xe007c3fc, "nfs_post_op_update_inode_force_wcc" },
	{ 0xe6094a56, "nfs_pgheader_init" },
	{ 0xa3cd1346, "put_nfs_open_context" },
	{ 0xa14470b2, "nfs_show_path" },
	{ 0x731c9b43, "nfs_show_devname" },
	{ 0x2d7e6753, "nfs_permission" },
	{ 0xb705d85d, "nfs_initiate_commit" },
	{ 0xecba9e95, "truncate_inode_pages_range" },
	{ 0xf00c146, "__put_user_ns" },
	{ 0x8a34ae0f, "cred_fscmp" },
	{ 0xa1564d36, "rpc_unlink" },
	{ 0xa7553156, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4c90476a, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xe2bc667b, "node_data" },
	{ 0x6d8348d4, "nfs_probe_server" },
	{ 0x97bf9cc0, "nfs_setsecurity" },
	{ 0x2c4e17e, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x5954235e, "rpc_clnt_test_and_add_xprt" },
	{ 0xa9289aac, "file_ra_state_init" },
	{ 0x273a8524, "nfs_force_lookup_revalidate" },
	{ 0xabd9a201, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2e5c8865, "rpc_clnt_add_xprt" },
	{ 0xbdaebf7d, "dget_parent" },
	{ 0x2ac2e8a2, "from_kuid_munged" },
	{ 0xd053c659, "prepare_kernel_cred" },
	{ 0xf25d83a1, "kmalloc_trace" },
	{ 0x827e20b0, "nfs_alloc_server" },
	{ 0x3478ca00, "rpc_call_async" },
	{ 0x384c4c11, "security_dentry_init_security" },
	{ 0x108f5abe, "filemap_write_and_wait_range" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0x34647474, "nfs_server_insert_lists" },
	{ 0xd5ae08f6, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xca43ce7, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x39b62125, "rpc_init_pipe_dir_object" },
	{ 0x4b7e0641, "bpf_trace_run7" },
	{ 0xd190ad98, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x5cacf580, "nfs_init_server_rpcclient" },
	{ 0x33290986, "__mark_inode_dirty" },
	{ 0xb5edcb76, "rpc_set_connect_timeout" },
	{ 0x5c67c7c6, "rpcauth_create" },
	{ 0x92373a31, "xdr_stream_pos" },
	{ 0xf28f0b59, "key_set_timeout" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xf1f69aad, "svc_xprt_create" },
	{ 0xd1595959, "nfs42_ssc_register" },
	{ 0x201104ec, "rpc_wait_for_completion_task" },
	{ 0xc80eafe8, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb3191fd4, "rpc_num_bc_slots" },
	{ 0x521f3860, "nfs_alloc_inode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0x54aad5a1, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xd79165d0, "security_inode_listsecurity" },
	{ 0xbd34ec6b, "nfs_fhget" },
	{ 0x8cf92bb5, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x35d042d2, "locks_copy_lock" },
	{ 0x7fc88137, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xab98d9a5, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5da8526c, "nfs_set_verifier" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x3bab6a1d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "E940783326E926F16747C82");
MODULE_INFO(rhelversion, "9.7");
